spring:
    datasource:
        postgre:
            jdbc-url: jdbc:postgresql://localhost:5432/verich
            username: postgres
            password: 123456
            driver-class-name: org.postgresql.Driver
            type: com.zaxxer.hikari.HikariDataSource
            mapper-locations: classpath*:mapper/postgre/*.xml
            type-aliases-package: quant.rich.emoney.entity.postgre
            hikari:
                minimum-idle: 5
                connection-test-query: SELECT 1
                maximum-pool-size: 2000
                auto-commit: true
                idle-timeout: 30000
                pool-name: SpringBootDemoHikariCP
                max-lifetime: 60000
                connection-timeout: 30000
        sqlite:
            jdbc-url: jdbc:sqlite:E:/eclipse-workspace/emo-grab/src/main/resources/database.db
            driver-class-name: org.sqlite.JDBC
            mapper-locations: classpath*:mapper/sqlite/*.xml
            type-aliases-package: quant.rich.emoney.entity.sqlite
    sql:
        init:
            mode: always
            continue-on-error: true
mybatis-plus:
    banner: false
    mapper-locations:
        - classpath*:mapper/postgre/*.xml
        - classpath*:mapper/sqlite/*.xml
    type-aliases-package:
        - quant.rich.emoney.entity.postgre
        - quant.rich.emoney.entity.sqlite
    type-handlers-package: quant.rich.emoney.mybatis.typehandler
    configuration:
        map-underscore-to-camel-case: true
        default-enum-type-handler: org.apache.ibatis.type.EnumOrdinalTypeHandler
